> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topmediai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V1 Cover Singer

> Use your files or youtube links to do a cover and return the audio.



## OpenAPI

````yaml https://api.topmediai.com/topmediai_api.json post /v1/cover
openapi: 3.1.0
info:
  title: Topmediai API Documentation
  description: >-
    This is the documentation for the Topmediai API. You can use this API to use
    our service programmatically, this is done by using your x-api-key. You can
    get your x-api-key by request our Get API Key Web page on
    https://www.topmediai.com/api/text-to-speech-api/. Our API is experimental
    so all endpoints are subject to change.
  version: 1.0.0
servers:
  - url: https://api.topmediai.com
security: []
paths:
  /v1/cover:
    post:
      tags:
        - AI-Song-Cover
      summary: V1 Cover Singer
      description: Use your files or youtube links to do a cover and return the audio.
      operationId: cover_v1_cover_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_cover_v1_cover_post'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_cover_v1_cover_post:
      properties:
        singer_id:
          anyOf:
            - type: string
            - type: integer
          title: Singer Id
          description: >-
            Singer ID, If you input the custom model training ID, please use the
            string format.
        youtube_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Youtube Url
          description: Youtube Link
          default: ''
        tran:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tran
          description: Adjusting the tone
          default: 0
        file:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: File
          description: File stream
        is_custom_singer:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Custom Singer
          description: Use custom singer
          default: false
      type: object
      required:
        - singer_id
      title: Body_cover_v1_cover_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````